Documentation

Requirements & Installation

Requirements #

Revolvapp requires a modern browser with full Javascript and HTML5 support. Revolvapp has been tested in and fully supports following browsers:

  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Microsoft Edge

Installation #

Revolvapp is not a desktop app. This is a email template creation application that should be installed on your website.

So, first, you need to purchase Revolvapp and download it from our site, then you can proceed with the installation.

Installing Revolvapp is very simple. You need to connect the CSS file editor between the head tag and the JS file before the closed body tag.

Next, specify some required settings and call Revolvapp. Here is an example of a page where Revolvapp is installed and running.

<!DOCTYPE html>
<html>
<head>
    <title>Revolvapp</title>
    <meta charset="utf-8">

    <!-- revolvapp css -->
    <link rel="stylesheet" href="/revolvapp-dist/revolvapp.min.css" />
</head>
<body>

    <!-- element -->
    <div id="myemail"></div>

    <!-- revolvapp js -->
    <script src="/revolvapp-dist/revolvapp.min.js"></script>

    <!-- call -->
    <script>
        Revolvapp('#myemail', {
            editor: {
                path: '/revolvapp-dist/',
                template: '/my-folder/template.html'
            }
        });
    </script>
</body>
</html>

As you can see the intialization has two required settings.

  • path — specifies the url path to the Revolvapp directory for connecting iframe styles.
  • template — the url path to your email template.

See how to create the email template .

Module import #

import '../dist/revolvapp.js';

Revolvapp('#myemail', { ...opts... });

Revolvapp can work was ES6 module, just import it and use Revolvapp object in your app. Or use usm version for import.

import Revolvapp from '../dist/revolvapp.usm.min.js';

Revolvapp('#myemail', { ...opts... });